<div *ngIf="student">
  <h2>
    {{student.name}}
  </h2>
  <h4 *ngIf="dayCount > 0">
    К оплате <span class="text-danger">{{sumForPaid}}</span> тг. за <span class="text-danger">{{dayCount}}</span> учебных дней
  </h4>
  <div class="mb-2 btn-toolbar">
      <button type="button" class="btn btn-primary mr-2" (click)="savePayments()"><i class="fa fa-check-circle"></i> Сохранить</button>
      <button type="button" class="btn btn-warning" (click)="cancel()"><i class="fa fa-ban"></i> Отмена</button>
  </div>
  
  <div *ngIf="!loading">
      <ngb-datepicker #dp 
        (select)="onDateSelection($event)"
        [dayTemplate]="customDay"
        [startDate]="startDate"
        displayMonths="3">
      </ngb-datepicker> 
      <ng-template #customDay let-date="date" let-currentMonth="currentMonth" let-selected="selected" let-disabled="disabled" let-focused="focused">
          <span class="custom-day" 
                [class.focused]="focused"
                [class.faded]="isHovered(date)"
                [class.range]="isRange(date)"
                [class.nextPaymentDate]="isLastDay(date)"
                [class.inPaymentMap]="inPaymentMap(date)"
                [class.text-muted]="isDisabled(date)"
                (mouseenter)="hoveredDate = date"
                (mouseleave)="hoveredDate = null">
            {{ date.day }}
          </span>
        </ng-template>
  </div>       
</div>